package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag495;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT495Creator;

/**
 * @author huangmengyuan
 * @create 2023/3/1
 */
public class Tag77ACreator extends AbsTagCreate {
    private MT495Creator mt495Creator;
    public Tag77ACreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt495Creator = (MT495Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag77AValue = mt495Creator.getNarrative();
        mt495Creator.set("77A",tag77AValue);
    }
}
